# $Revision: 1.6 $, $Date: 2004/12/01 12:55:59 $
#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	HTML
%define		pnam	LinkExtractor
Summary:	HTML::LinkExtractor - extract links from an HTML document
Summary(pl):	HTML::LinkExtractor - wyodrbnianie odnonikw z dokumentw HTML
Name:		perl-HTML-LinkExtractor
Version:	0.121
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	642c67042e7b83942d7ece142bbe4be8
BuildRequires:	perl-devel >= 1:5.6
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-HTML-TokeParser-Simple >= 2
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
HTML::LinkExtractor Perl module is used for extracting links from
HTML. It is very similar to HTML::LinkExtor, except that besides
getting the URL, you also get the link-text.

%description -l pl
Modu Perla HTML::LinkExtractor suy do wyodrbniania odnonikw z
kodu HTML. Jest on bardzo podobny do moduu HTML::LinkExtor z tym
wyjtkiem, e otrzymuje si URL razem z tekstem stanowicym tre
odnonikw.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%{perl_vendorlib}/%{pdir}/*.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-HTML-LinkExtractor.spec,v $
Revision 1.6  2004/12/01 12:55:59  radek
- autoupdated to 0.121

Revision 1.5  2004/11/03 22:30:25  paladine
- formatting

Revision 1.4  2004/11/03 13:13:12  paladine
- spaces->tabs
- formatting

Revision 1.3  2004/05/30 04:19:19  ankry
- s/cze/odnonik/

Revision 1.2  2004/05/30 04:11:06  ankry
- pl

Revision 1.1  2004/05/29 18:25:05  radek
- new
